{% extends "base.html" %}
{% block title %}Error{% endblock %}
{% block content %}

<div class="alert alert-danger">
  Error while connecting to remote Vivado HW Manager: {{error}}
</div>

<form class="form" action="/vivado/connect" method="post" role="form">
	<input id="redirect" name="redirect" type="hidden" value="{{redirect}}">
	<input class="btn btn-primary" id="submit" name="submit" type="submit" value="Retry the Vivado connection">
</form>

{% if bad_configuration %}

<div class="container px-0 py-4">
		<h2>Bad board configuration: Vivado connection settings not found</h2>
		<p>Please add Vivado connection settings into your board configuration file.</p>
		<h3>Example configuration (see boards/vmk180.py)</h3>
<pre>
"vivado" : {
		"server" : "127.0.0.1",
		"port" : 8020,
		"timeout" : 3,
		"device" : "xcvm1802_1",		
	}
</pre>
</div>

{% else %}

<div class="container px-0 py-4">
	<h2>Please check your Vivado Hardware Manager</h2>
	<ol>
		<li>Launch Vivado on your computer</li>
		<li>Open Hardware Manager</li>
		<li>Connect this SoC to the JTAG interface</li>
		<li>Select Open Target -&gt; Auto Connect
			<ul><li>Verify that the SoC target is detected by Vivado</li></ul>
		</li>
		<li>In Tcl Console, run "source remote.tcl" to start Vivado Remote server <a href="/vivado/download_script">(Download remote.tcl)</a></li>
		<li>Switch to "Serial I/O Links tab" to circumvent the bug with Vivado not returning IBERT results</li>
		<li>Reverse-tunnel port 8020 to this SoC over the ssh:
			<ul><li>ssh -N -R 8020:127.0.0.1:8020 root@SoC_IP</li></ul>
		</li>
	</ol>
</div>

{% endif %}

{% endblock %}